<?php
/**
 * Omega Design Agency functions and definitions
 * @package Omega Design Agency
 */

if ( ! function_exists( 'omega_design_agency_after_theme_support' ) ) :

	function omega_design_agency_after_theme_support() {
		
		add_theme_support( 'automatic-feed-links' );
		
        load_theme_textdomain( 'omega-design-agency', get_template_directory() . '/languages' );

		add_theme_support('woocommerce');
        add_theme_support('wc-product-gallery-zoom');
        add_theme_support('wc-product-gallery-lightbox');
        add_theme_support('wc-product-gallery-slider');
        add_theme_support('woocommerce', array(
            'gallery_thumbnail_image_width' => 300,
        ));

		add_theme_support(
			'custom-background',
			array(
				'default-color' => 'ffffff',
			)
		);

		$GLOBALS['content_width'] = apply_filters( 'omega_design_agency_content_width', 1140 );
		
		add_theme_support( 'post-thumbnails' );

		add_theme_support(
			'custom-logo',
			array(
				'height'      => 270,
				'width'       => 90,
				'flex-height' => true,
				'flex-width'  => true,
			)
		);
		
		add_theme_support( 'title-tag' );

		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
				'script',
				'style',
			)
		);

		add_theme_support( 'post-formats', array(
			'video',  
			'audio',  
			'gallery',
			'quote',  
			'image',  
			'link',   
			'status', 
			'aside',  
			'chat',   
		) );
		
		add_theme_support( 'align-wide' );
		add_theme_support( 'responsive-embeds' );
		add_theme_support( 'wp-block-styles' );

		require get_template_directory() . '/inc/metabox.php';
		require get_template_directory() . '/inc/homepage-setup/homepage-setup-settings.php';

		if (! defined( 'OMEGA_DESIGN_AGENCY_DOCS_PRO' ) ){
		define('OMEGA_DESIGN_AGENCY_DOCS_PRO',__('https://layout.omegathemes.com/steps/pro-omega-design-agency/','omega-design-agency'));
		}
		if (! defined( 'OMEGA_DESIGN_AGENCY_BUY_NOW' ) ){
		define('OMEGA_DESIGN_AGENCY_BUY_NOW',__('https://www.omegathemes.com/products/designer-agency-wordpress-theme','omega-design-agency'));
		}
		if (! defined( 'OMEGA_DESIGN_AGENCY_SUPPORT_FREE' ) ){
		define('OMEGA_DESIGN_AGENCY_SUPPORT_FREE',__('https://wordpress.org/support/theme/omega-design-agency/','omega-design-agency'));
		}
		if (! defined( 'OMEGA_DESIGN_AGENCY_REVIEW_FREE' ) ){
		define('OMEGA_DESIGN_AGENCY_REVIEW_FREE',__('https://wordpress.org/support/theme/omega-design-agency/reviews/#new-post/','omega-design-agency'));
		}
		if (! defined( 'OMEGA_DESIGN_AGENCY_DEMO_PRO' ) ){
		define('OMEGA_DESIGN_AGENCY_DEMO_PRO',__('https://layout.omegathemes.com/omega-design-agency/','omega-design-agency'));
		}
		if (! defined( 'OMEGA_DESIGN_AGENCY_LITE_DOCS_PRO' ) ){
		define('OMEGA_DESIGN_AGENCY_LITE_DOCS_PRO',__('https://layout.omegathemes.com/steps/free-omega-design-agency/','omega-design-agency'));
		}
		if (! defined( 'OMEGA_DESIGN_AGENCY_BUNDLE_BUTTON' ) ){
			define('OMEGA_DESIGN_AGENCY_BUNDLE_BUTTON',__('https://www.omegathemes.com/products/wp-theme-bundle','omega-design-agency'));
		}

	}

endif;

add_action( 'after_setup_theme', 'omega_design_agency_after_theme_support' );

/**
 * Register and Enqueue Styles.
 */
function omega_design_agency_register_styles() {

	wp_enqueue_style( 'dashicons' );

    $omega_design_agency_theme_version = wp_get_theme()->get( 'Version' );
	$omega_design_agency_fonts_url = omega_design_agency_fonts_url();
    if( $omega_design_agency_fonts_url ){
    	require_once get_theme_file_path( 'lib/custom/css/wptt-webfont-loader.php' );
        wp_enqueue_style(
			'omega-design-agency-google-fonts',
			omega_design_agency_wptt_get_webfont_url( $omega_design_agency_fonts_url ),
			array(),
			$omega_design_agency_theme_version
		);
    }

    wp_enqueue_style( 'swiper', get_template_directory_uri() . '/lib/swiper/css/swiper-bundle.min.css');
    wp_enqueue_style( 'owl.carousel', get_template_directory_uri() . '/lib/custom/css/owl.carousel.min.css');
	wp_enqueue_style( 'omega-design-agency-style', get_stylesheet_uri(), array(), $omega_design_agency_theme_version );

	wp_enqueue_style( 'omega-design-agency-style', get_stylesheet_uri() );
	require get_parent_theme_file_path( '/custom_css.php' );
	wp_add_inline_style( 'omega-design-agency-style',$omega_design_agency_custom_css );

	$omega_design_agency_css = '';

	if ( get_header_image() ) :

		$omega_design_agency_css .=  '
			.wrapper.header-wrapper.header-box{
				background-image: url('.esc_url(get_header_image()).');
				-webkit-background-size: cover !important;
				-moz-background-size: cover !important;
				-o-background-size: cover !important;
				background-size: cover !important;
			}';

	endif;

	wp_add_inline_style( 'omega-design-agency-style', $omega_design_agency_css );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}	

	wp_enqueue_script( 'imagesloaded' );
    wp_enqueue_script( 'masonry' );
	wp_enqueue_script( 'swiper', get_template_directory_uri() . '/lib/swiper/js/swiper-bundle.min.js', array('jquery'), '', 1);
	wp_enqueue_script( 'omega-design-agency-custom', get_template_directory_uri() . '/lib/custom/js/theme-custom-script.js', array('jquery'), '', 1);
	wp_enqueue_script( 'owl.carousel', get_template_directory_uri() . '/lib/custom/js/owl.carousel.js', array('jquery'), '', 1);

    // Global Query
    if( is_front_page() ){

    	$omega_design_agency_posts_per_page = absint( get_option('posts_per_page') );
        $omega_design_agency_c_paged = ( get_query_var( 'page' ) ) ? absint( get_query_var( 'page' ) ) : 1;
        $omega_design_agency_posts_args = array(
            'posts_per_page'        => $omega_design_agency_posts_per_page,
            'paged'                 => $omega_design_agency_c_paged,
        );
        $omega_design_agency_posts_qry = new WP_Query( $omega_design_agency_posts_args );
        $omega_design_agency_max = $omega_design_agency_posts_qry->max_num_pages;

    }else{
        global $wp_query;
        $omega_design_agency_max = $wp_query->max_num_pages;
        $omega_design_agency_c_paged = ( get_query_var( 'paged' ) > 1 ) ? get_query_var( 'paged' ) : 1;
    }

    $omega_design_agency_default = omega_design_agency_get_default_theme_options();
    $omega_design_agency_pagination_layout = get_theme_mod( 'omega_design_agency_pagination_layout',$omega_design_agency_default['omega_design_agency_pagination_layout'] );
}

add_action( 'wp_enqueue_scripts', 'omega_design_agency_register_styles',200 );

function omega_design_agency_admin_enqueue_scripts_callback() {
    if ( ! did_action( 'wp_enqueue_media' ) ) {
    wp_enqueue_media();
    }
    wp_enqueue_script('omega-design-agency-uploaderjs', get_stylesheet_directory_uri() . '/lib/custom/js/uploader.js', array(), "1.0", true);
}
add_action( 'admin_enqueue_scripts', 'omega_design_agency_admin_enqueue_scripts_callback' );

/**
 * Register navigation menus uses wp_nav_menu in five places.
 */
function omega_design_agency_menus() {

	$omega_design_agency_locations = array(
		'omega-design-agency-primary-menu'  => esc_html__( 'Primary Menu', 'omega-design-agency' ),
	);

	register_nav_menus( $omega_design_agency_locations );
}

add_action( 'init', 'omega_design_agency_menus' );

add_filter('loop_shop_columns', 'omega_design_agency_loop_columns');
if (!function_exists('omega_design_agency_loop_columns')) {
	function omega_design_agency_loop_columns() {
		$omega_design_agency_columns = get_theme_mod( 'omega_design_agency_per_columns', 3 );
		return $omega_design_agency_columns;
	}
}

add_filter( 'loop_shop_per_page', 'omega_design_agency_per_page', 20 );
function omega_design_agency_per_page( $omega_design_agency_cols ) {
  	$omega_design_agency_cols = get_theme_mod( 'omega_design_agency_product_per_page', 9 );
	return $omega_design_agency_cols;
}

add_filter( 'woocommerce_output_related_products_args', 'omega_design_agency_products_args' );

function omega_design_agency_products_args( $omega_design_agency_args ) {

    $omega_design_agency_args['posts_per_page'] = get_theme_mod( 'omega_design_agency_custom_related_products_number', 6 );

    $omega_design_agency_args['columns'] = get_theme_mod( 'omega_design_agency_custom_related_products_number_per_row', 3 );

    return $omega_design_agency_args;
}

require get_template_directory() . '/inc/custom-header.php';
require get_template_directory() . '/classes/class-svg-icons.php';
require get_template_directory() . '/classes/class-walker-menu.php';
require get_template_directory() . '/inc/customizer/customizer.php';
require get_template_directory() . '/inc/custom-functions.php';
require get_template_directory() . '/inc/template-tags.php';
require get_template_directory() . '/classes/body-classes.php';
require get_template_directory() . '/inc/widgets/widgets.php';
require get_template_directory() . '/inc/pagination.php';
require get_template_directory() . '/lib/breadcrumbs/breadcrumbs.php';
require get_template_directory() . '/lib/custom/css/dynamic-style.php';


function omega_design_agency_remove_customize_register() {
    global $wp_customize;

    $wp_customize->remove_setting( 'display_header_text' );
    $wp_customize->remove_control( 'display_header_text' );

}

add_action( 'customize_register', 'omega_design_agency_remove_customize_register', 11 );


function omega_design_agency_check_banner_enabled() {
	$omega_design_agency_check_banner_enable = get_theme_mod('omega_design_agency_header_banner', true);
	if($omega_design_agency_check_banner_enable == false) {
		echo '<style>.page-template-frontpage .main-header { position: relative !important;background: #1B3C73; }.page-template-frontpage.admin-bar .main-header{top:0px;}</style>';
	}
}

add_action('wp_head', 'omega_design_agency_check_banner_enabled');

function omega_design_agency_radio_sanitize(  $omega_design_agency_input, $omega_design_agency_setting  ) {
	$omega_design_agency_input = sanitize_key( $omega_design_agency_input );
	$omega_design_agency_choices = $omega_design_agency_setting->manager->get_control( $omega_design_agency_setting->id )->choices;
	return ( array_key_exists( $omega_design_agency_input, $omega_design_agency_choices ) ? $omega_design_agency_input : $omega_design_agency_setting->default );
}
require get_template_directory() . '/inc/general.php';

function omega_design_agency_sticky_sidebar_enabled() {
	$omega_design_agency_sticky_sidebar = get_theme_mod('omega_design_agency_sticky_sidebar', true);
	if($omega_design_agency_sticky_sidebar == false) {
		echo '<style>.widget-area-wrapper {position: relative !important;}</style>';
	}
}

add_action('wp_head', 'omega_design_agency_sticky_sidebar_enabled');

// NOTICE FUNCTION

function omega_design_agency_admin_notice() { 
    global $pagenow;
    $theme_args = wp_get_theme();
    $meta = get_option( 'omega_design_agency_admin_notice' );
    $name = $theme_args->get( 'Name' );
    $current_screen = get_current_screen();

    if ( ! $meta ) {
        if ( is_network_admin() ) {
            return;
        }

        if ( ! current_user_can( 'manage_options' ) ) {
            return;
        }

        if ( $current_screen->base != 'appearance_page_omegadesignagency-wizard' ) {
            ?>
            <div class="notice notice-success notice-content">
                <h2><?php esc_html_e('Welcome! Thank you for choosing Omega Design Agency. Let’s Set Up Your Website!', 'omega-design-agency') ?> </h2>
                <p><?php esc_html_e('Before you dive into customization, let’s go through a quick setup process to ensure everything runs smoothly. Click below to start setting up your website in minutes!', 'omega-design-agency') ?> </p>
                <div class="info-link">
                    <a href="<?php echo esc_url( admin_url( 'themes.php?page=omegadesignagency-wizard' ) ); ?>"><?php esc_html_e('Get Started with Omega Design Agency', 'omega-design-agency'); ?></a>
					<a target="_blank" href="<?php echo esc_url( OMEGA_DESIGN_AGENCY_BUNDLE_BUTTON ); ?>" class="notice-bundle"><?php esc_html_e('Get All WP Themes', 'omega-design-agency'); ?></a>
                </div>
                <p class="dismiss-link"><strong><a href="?omega_design_agency_admin_notice=1"><?php esc_html_e( 'Dismiss', 'omega-design-agency' ); ?></a></strong></p>
            </div>
            <?php
        }
    }
}
add_action( 'admin_notices', 'omega_design_agency_admin_notice' );

if ( ! function_exists( 'omega_design_agency_update_admin_notice' ) ) :
/**
 * Updating admin notice on dismiss
 */
function omega_design_agency_update_admin_notice() {
    if ( isset( $_GET['omega_design_agency_admin_notice'] ) && $_GET['omega_design_agency_admin_notice'] == '1' ) {
        update_option( 'omega_design_agency_admin_notice', true );
    }
}
endif;
add_action( 'admin_init', 'omega_design_agency_update_admin_notice' );

// After Switch theme function
add_action( 'after_switch_theme', 'omega_design_agency_getstart_setup_options' );
function omega_design_agency_getstart_setup_options() {
    update_option( 'omega_design_agency_admin_notice', false );
}